change makefile to use git-buildpackage for debian packaging
[monkeysphere.git] / packaging / debian / monkeysphere.postinst
index 02d63046ff66db0cfc2ffbd457f30cfba4b8131c..8c6a555d2de8b52430a28cb87dceabaf087b269e 100755 (executable)
@@ -1,28 +1,44 @@
-#!/bin/sh -e
+#!/bin/sh
 
 # postinst script for monkeysphere
 
-# Author: Jameson Rollins <jrollins@fifthhorseman.net>
-# Copyright 2008
+# Author: Jameson Rollins <jrollins@finestructure.net>
+# Copyright 2008-2010
+
+set -e
 
-ETC="/etc/monkeysphere"
 VARLIB="/var/lib/monkeysphere"
 
-if ! getent passwd monkeysphere >/dev/null ; then
-    echo "adding monkeysphere user..."
-    adduser --quiet --system --no-create-home --group \
-       --home "$VARLIB" \
-       --shell '/bin/bash' \
-       --gecos 'monkeysphere authentication user,,,' \
-       monkeysphere
-fi
-
-# install host gnupg home directory
-install --owner root --group monkeysphere --mode 750 -d "$VARLIB"/gnupg-host
-# link in the gpg.conf
-ln -sTf "$ETC"/gnupg-host.conf "$VARLIB"/gnupg-host/gpg.conf
-
-# install authentication gnupg home directory
-install --owner monkeysphere --group monkeysphere --mode 700 -d "$VARLIB"/gnupg-authentication
-# link in the gpg.conf
-ln -sTf "$ETC"/gnupg-authentication.conf "$VARLIB"/gnupg-authentication/gpg.conf
+case $1 in
+    configure)
+       # add a monkeysphere user if one does not already exist
+       if ! getent passwd monkeysphere >/dev/null ; then
+           echo "adding monkeysphere user..."
+           adduser --quiet --system --no-create-home --group \
+               --home "$VARLIB" \
+               --shell '/bin/bash' \
+               --gecos 'monkeysphere authentication user,,,' \
+               monkeysphere
+       fi
+
+       # try all available transitions:
+       for trans in 0.23 0.28 ; do
+           /usr/share/monkeysphere/transitions/$trans || { \
+               RET=$?
+               echo "Failed running transition script /usr/share/monkeysphere/transitions/$trans" >&2
+               exit $RET
+           }
+       done
+           
+
+       # setup monkeysphere authentication
+       monkeysphere-authentication setup
+       ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0